const SET_PROCESSING = 'setProcessing'

const SET_COMPLETED = 'setCompleted'

const SET_ERROR = 'setError'

const SET_USER = 'setUser'

const SET_LOADING_USER = 'setLoadingUser'

const SET_PRODUCTS = 'setProducts'

const SET_FILTERED_PRODUCTS = 'setFilteredProducts'

const SET_LOADING_PRODUCTS = 'setLoadingProducts'

const ADD_PRODUCT = 'addProduct'

const SET_SHOW_PRODUCT_FORM = 'setShowProductForm'

const SELECT_PRODUCT = 'selectProduct'

const SET_PRODUCT_WITH_VARIANT = 'setProductWithVariant'

const SET_PAYMENT_TERMS = 'setPaymentTerms'

const SET_LOADING_PAYMENT_TERMS = 'setLoadingPaymentTerms'

const AUTOSELECT_PAYMENT_TERM = 'autoSelectPaymentTerm'

const SET_SELECTED_PAYMENT_TERM = 'setSelectedPaymentTerm'

const SET_PAYMENT_TYPE = 'setPaymentType'

const SET_INITIAL_PAYMENT = 'setInitialPayment'

const SET_PAYMENT_LINES = 'setPaymentLines'

const SET_JOURNALS = 'setJournals'

const SET_LOADING_JOURNALS= 'setLoadingJournals'

const AUTOSELECT_JOURNAL = 'autoSelectJournal'

const SET_SELECTED_JOURNAL = 'setSelectedJournal'

const SET_DATE = 'setDate'

const SET_LOADING_DATE = 'setLoadingDate'

const SET_CUSTOMERS = 'setCustomers'

const SET_FILTERED_CUSTOMERS = 'setFilteredCustomers'

const SET_LOADING_CUSTOMERS = 'setLoadingCustomers'

const SET_SHOW_CUSTOMER_FORM = 'setShowCustomerForm'

const SET_SELECTED_CUSTOMER = 'setSelectedCustomer'

const ADD_CUSTOMER = 'addCustomer'

const SET_CURRENCIES = 'setCurrencies'

const SET_LOADING_CURRENCIES = 'setLoadingCurrencies'

const SET_CART = 'setCart'

const PUSH_TO_CART = 'pushToCart'

const PULL_FROM_CART = 'pullFromCart'

const SET_CART_TOTAL = 'setCartTotal'

export {
    SET_PROCESSING, SET_COMPLETED, SET_ERROR, // App
    SET_USER, SET_LOADING_USER, // User
    SET_PRODUCTS, SET_FILTERED_PRODUCTS, SET_LOADING_PRODUCTS, ADD_PRODUCT, SET_SHOW_PRODUCT_FORM, SELECT_PRODUCT, SET_PRODUCT_WITH_VARIANT, // Product
    SET_PAYMENT_TERMS, SET_LOADING_PAYMENT_TERMS, AUTOSELECT_PAYMENT_TERM, SET_SELECTED_PAYMENT_TERM, SET_PAYMENT_TYPE, SET_INITIAL_PAYMENT, SET_PAYMENT_LINES, // Payment
    SET_JOURNALS, SET_LOADING_JOURNALS, AUTOSELECT_JOURNAL, SET_SELECTED_JOURNAL, // Journal
    SET_DATE, SET_LOADING_DATE, // Date
    SET_CUSTOMERS, SET_FILTERED_CUSTOMERS, SET_LOADING_CUSTOMERS, SET_SHOW_CUSTOMER_FORM, SET_SELECTED_CUSTOMER, ADD_CUSTOMER, // Customer
    SET_CURRENCIES, SET_LOADING_CURRENCIES, // Currency
    PUSH_TO_CART, PULL_FROM_CART, SET_CART_TOTAL, SET_CART // Cart
}